AutocompleteResponseBody
autocomplete api response body: { "completions": [{"text": "", "source": ""}] }
- completionsType: object · Completionsrequired
Autocompletion results.
- propertyType: array
Name title completion additionally has the
productthe title belongs to.- productType: object · Productrequired
- textType: string · Textmin length:1required
- textType: string · Text With Inverted Markups
_with _inverted _markups min length:1required - textType: string · Text With Markups
_with _markups min length:1required
- misoType: string · Miso IdFormat: uuid
_id Miso-generated unique Id for each recommendation or search result. Maintaining this Id for subsequent page views is important to Miso's performance as we use
miso_idto track and fine-tune the performance of personalization and search results. When a user clicks on a recommendation or search result, you should pass the associatedmiso_idto the next page view, and associate themiso_idwith the interactions that take place on the page (e.g.product_detail_page_view,add_to_cart,add_to_collection,like, etc.). In this way, Miso will learn which recommendations work and which didn't.Example:
{"misoId": "123e4567-e89b-12d3-a456-426614174000"} - tookType: integer · Took
Number of milliseconds Miso took to retrieve the results.
